# Uses of Class
org.apache.commons.math3.optimization.linear.UnboundedSolutionException

Packages that use UnboundedSolutionException
Package
Description
org.apache.commons.math3.optimization.linear
This package provides optimization algorithms for linear constrained problems.

## Uses of UnboundedSolutionException in org.apache.commons.math3.optimization.linear

Methods in org.apache.commons.math3.optimization.linear that throw UnboundedSolutionException
Modifier and Type
Method
Description
`protected void`
SimplexSolver.`doIteration(org.apache.commons.math3.optimization.linear.SimplexTableau tableau)`
Deprecated.
Runs one iteration of the Simplex method on the given model.
`PointValuePair`
SimplexSolver.`doOptimize()`
Deprecated.
Perform the bulk of optimization algorithm.
`protected void`
SimplexSolver.`solvePhase1(org.apache.commons.math3.optimization.linear.SimplexTableau tableau)`
Deprecated.
Solves Phase 1 of the Simplex method.